/*
 * TextQuery.hpp
 *
 *  Created on: Nov 8, 2010
 *      Author: heber
 */

#ifndef TEXTQUERY_HPP_
#define TEXTQUERY_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include "TextUI/TextDialog.hpp"

class TextDialog::AtomTextQuery : public Dialog::AtomQuery {
public:
  AtomTextQuery(std::string title, std::string _description = NULL);
  virtual ~AtomTextQuery();
  virtual bool handle();
};

class TextDialog::AtomsTextQuery : public Dialog::AtomsQuery {
public:
  AtomsTextQuery(std::string title, std::string _description = NULL);
  virtual ~AtomsTextQuery();
  virtual bool handle();
};

class TextDialog::BooleanTextQuery : public Dialog::BooleanQuery {
public:
  BooleanTextQuery(std::string title, std::string _description = NULL);
  virtual ~BooleanTextQuery();
  virtual bool handle();
};

class TextDialog::BoxTextQuery : public Dialog::BoxQuery {
public:
  BoxTextQuery(std::string title, std::string _description = NULL);
  virtual ~BoxTextQuery();
  virtual bool handle();
};

class TextDialog::DoubleTextQuery : public Dialog::DoubleQuery {
public:
  DoubleTextQuery(std::string title, std::string _description = NULL);
  virtual ~DoubleTextQuery();
  virtual bool handle();
};

class TextDialog::DoublesTextQuery : public Dialog::DoublesQuery {
public:
  DoublesTextQuery(std::string title, std::string _description = NULL);
  virtual ~DoublesTextQuery();
  virtual bool handle();
};

class TextDialog::ElementTextQuery : public Dialog::ElementQuery {
public:
  ElementTextQuery(std::string title, std::string _description = NULL);
  virtual ~ElementTextQuery();
  virtual bool handle();
};

class TextDialog::ElementsTextQuery : public Dialog::ElementsQuery {
public:
  ElementsTextQuery(std::string title, std::string _description = NULL);
  virtual ~ElementsTextQuery();
  virtual bool handle();
};

class TextDialog::EmptyTextQuery : public Dialog::EmptyQuery {
public:
  EmptyTextQuery(std::string title, std::string _description = NULL);
  virtual ~EmptyTextQuery();
  virtual bool handle();
};

class TextDialog::FileTextQuery : public Dialog::FileQuery {
public:
  FileTextQuery(std::string title, std::string _description = NULL);
  virtual ~FileTextQuery();
  virtual bool handle();
};

class TextDialog::FilesTextQuery : public Dialog::FilesQuery {
public:
  FilesTextQuery(std::string title, std::string _description = NULL);
  virtual ~FilesTextQuery();
  virtual bool handle();
};

class TextDialog::IntTextQuery : public Dialog::IntQuery {
public:
  IntTextQuery(std::string title, std::string _description = NULL);
  virtual ~IntTextQuery();
  virtual bool handle();
};

class TextDialog::IntsTextQuery : public Dialog::IntsQuery {
public:
  IntsTextQuery(std::string title, std::string _description = NULL);
  virtual ~IntsTextQuery();
  virtual bool handle();
};

class TextDialog::MoleculeTextQuery : public Dialog::MoleculeQuery {
public:
  MoleculeTextQuery(std::string title, std::string _description = NULL);
  virtual ~MoleculeTextQuery();
  virtual bool handle();
};

class TextDialog::MoleculesTextQuery : public Dialog::MoleculesQuery {
public:
  MoleculesTextQuery(std::string title, std::string _description = NULL);
  virtual ~MoleculesTextQuery();
  virtual bool handle();
};

class TextDialog::StringTextQuery : public Dialog::StringQuery {
public:
  StringTextQuery(std::string title, std::string _description = NULL);
  virtual ~StringTextQuery();
  virtual bool handle();
};

class TextDialog::StringsTextQuery : public Dialog::StringsQuery {
public:
  StringsTextQuery(std::string title, std::string _description = NULL);
  virtual ~StringsTextQuery();
  virtual bool handle();
};

class TextDialog::UnsignedIntTextQuery : public Dialog::UnsignedIntQuery {
public:
  UnsignedIntTextQuery(std::string title, std::string _description = NULL);
  virtual ~UnsignedIntTextQuery();
  virtual bool handle();
};

class TextDialog::UnsignedIntsTextQuery : public Dialog::UnsignedIntsQuery {
public:
  UnsignedIntsTextQuery(std::string title, std::string _description = NULL);
  virtual ~UnsignedIntsTextQuery();
  virtual bool handle();
};

class TextDialog::VectorTextQuery : public Dialog::VectorQuery {
public:
  VectorTextQuery(std::string title,bool _check, std::string _description = NULL);
  virtual ~VectorTextQuery();
  virtual bool handle();
};

class TextDialog::VectorsTextQuery : public Dialog::VectorsQuery {
public:
  VectorsTextQuery(std::string title,bool _check, std::string _description = NULL);
  virtual ~VectorsTextQuery();
  virtual bool handle();
};

class TextDialog::RandomNumberDistribution_ParametersTextQuery : public Dialog::RandomNumberDistribution_ParametersQuery {
public:
  RandomNumberDistribution_ParametersTextQuery(std::string title, std::string _description = NULL);
  virtual ~RandomNumberDistribution_ParametersTextQuery();
  virtual bool handle();
};

#endif /* TEXTQUERY_HPP_ */
